Generation Framework

## org.eclipse.gmf.mappings
Interface DomainAttributeTarget

All Superinterfaces:
  Auditable, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DomainAttributeTargetImpl

    public interface DomainAttributeTarget

extends Auditable

A representation of the model object 'Domain Attribute Target'. Represents value based target, useful for audit rules expression not capable of ecore meta-model access

The following features are supported:

- `Attribute`
- `Null As Error`

See Also:
  `GMFMapPackage.getDomainAttributeTarget()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='attribute.eType'"

Method Summary
`org.eclipse.emf.ecore.EAttribute` `getAttribute()` Returns the value of the 'Attribute' reference
`boolean` `isNullAsError()` Returns the value of the 'Null As Error' attribute
`void` `setAttribute(org.eclipse.emf.ecore.EAttribute value)` Sets the value of the '`Attribute`' reference
`void` `setNullAsError(boolean value)` Sets the value of the '`Null As Error`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAttribute

    org.eclipse.emf.ecore.EAttribute getAttribute()

  Returns the value of the 'Attribute' reference. The attribute the value of which is used as context in audit rule defining this target

  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `setAttribute(EAttribute)`, `GMFMapPackage.getDomainAttributeTarget_Attribute()`
  ** Generated **
  Model:
    required="true"

### setAttribute

    void setAttribute(org.eclipse.emf.ecore.EAttribute value)

  Sets the value of the '`Attribute`' reference.

  Parameters:
    `value` - the new value of the 'Attribute' reference.
  See Also:
    `getAttribute()`
  ** Generated **

### isNullAsError

    boolean isNullAsError()

  Returns the value of the 'Null As Error' attribute. Indicates whether null value of the attribute is reported as audit failure or success

  Returns:
    the value of the 'Null As Error' attribute.
  See Also:
    `setNullAsError(boolean)`, `GMFMapPackage.getDomainAttributeTarget_NullAsError()`
  ** Generated **
  Model:

### setNullAsError

    void setNullAsError(boolean value)

  Sets the value of the '`Null As Error`' attribute.

  Parameters:
    `value` - the new value of the 'Null As Error' attribute.
  See Also:
    `isNullAsError()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.